Botan 1.10.17

Public Attributes | List of all members
Botan::EAC1_1_CVC_Options Class Reference

`#include <cvc_self.h>`

## Public Attributes
ASN1_Car | car
ASN1_Ced | ced
ASN1_Cex | cex
ASN1_Chr | chr
std::string | hash_alg
byte | holder_auth_templ

## Detailed Description

This class represents a set of options used for the creation of CVC certificates

Definition at line 24 of file cvc_self.h.

## Member Data Documentation

## ◆ car

ASN1_Car Botan::EAC1_1_CVC_Options::car

Definition at line 28 of file cvc_self.h.

## ◆ ced

ASN1_Ced Botan::EAC1_1_CVC_Options::ced

Definition at line 31 of file cvc_self.h.

## ◆ cex

ASN1_Cex Botan::EAC1_1_CVC_Options::cex

Definition at line 32 of file cvc_self.h.

## ◆ chr

ASN1_Chr Botan::EAC1_1_CVC_Options::chr

Definition at line 29 of file cvc_self.h.

## ◆ hash_alg

std::string Botan::EAC1_1_CVC_Options::hash_alg

Definition at line 33 of file cvc_self.h.

## ◆ holder_auth_templ

byte Botan::EAC1_1_CVC_Options::holder_auth_templ

Definition at line 30 of file cvc_self.h.

The documentation for this class was generated from the following file:

- src/cert/cvc/cvc_self.h